$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.57.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.57.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'A57A442C2E2DF4881BC6FE73409F8EA77D4800271DF9C7CE1B4FB62887F405EB'
  checksumType = 'sha256'
  checksum64 = 'A57A442C2E2DF4881BC6FE73409F8EA77D4800271DF9C7CE1B4FB62887F405EB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.57-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
